Subject: Re: Preserving ownership and set*id bits

From: Andy Parkins <[email-masked]>
Date: Thu, 18 Jan 2007 20:10:39 +0000

On Thursday 2007, January 18 17:09, Ron Parker wrote:

> Anyway, I'm not here to complain, but I am looking for suggestions of
> how I might store and preserve this information as well.

Storing it is fairly easy.  You can use getfacl in the pre-commit hook to 
record all the file information you want.

The hard part (at the moment) is that there is no post-checkout hook that you 
could use to restore those attributes.

If you were willing to manually run that restoration script after every 
checkout then there is your answer.

Andy

-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE
[email-masked]